/*
 *  jDTAUS - DTAUS fileformat.
 *  Copyright (c) 2005 Christian Schulte <cs@schulte.it>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
package org.jdtaus.banking.dtaus.swing;

import java.awt.Component;
import java.util.Locale;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import org.jdtaus.banking.dtaus.LogicalFileType;

/**
 * Renderer for {@code LogicalFileType} instances.
 *
 * @author <a href="mailto:cs@schulte.it">Christian Schulte</a>
 * @version $Id: LogicalFileTypeRenderer.java 2453 2007-04-08 01:32:41Z schulte2005 $
 */
public class LogicalFileTypeRenderer extends DefaultListCellRenderer
{
    //--ListCellRenderer--------------------------------------------------------

    public Component getListCellRendererComponent(final JList list,
        final Object value, final int index, final boolean isSelected,
        final boolean cellHasFocus)
    {
        if(!(value instanceof LogicalFileType) && value != null)
        {
            throw new IllegalArgumentException(value.toString());
        }

        super.getListCellRendererComponent(list, null, index, isSelected,
            cellHasFocus);

        if(value != null)
        {
            this.setText(new StringBuffer(100).
                append(((LogicalFileType) value).
                getShortDescription(Locale.getDefault())).
                append(" (").append(((LogicalFileType) value).getCode()).
                append(")").toString());

        }

        return this;
    }

    //--------------------------------------------------------ListCellRenderer--

}
