package org.jdtaus.editor.spi;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class PhysicalFilePdfFormatterBundle{ 

/** <pre> PDF files</pre>. */
public static String getDescriptionText(final Locale locale) {
    return getMessage("description", locale);
}

/** <pre> PDF files</pre>. */
public static MessageFormat getDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("description", locale), locale);
}

/** <pre> Creating PDF file</pre>. */
public static String getTaskDescriptionText(final Locale locale) {
    return getMessage("taskDescription", locale);
}

/** <pre> Creating PDF file</pre>. */
public static MessageFormat getTaskDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("taskDescription", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.editor.spi.PhysicalFilePdfFormatter", locale).getString(key);
}

}
